JOSE
============

JOSE is a comprehensive set of JWT, JWS, and JWE libraries.

## Why

The only other JWS/JWE/JWT implementations are specific to JWT, and none
were particularly pleasant to work with.

These libraries should provide an easy, straightforward way to securely
create, parse, and validate JWS, JWE, and JWTs.

## Notes:
JWE is currently unimplemented, but should be completed in a week.

## Version 0.9:
Currently not version 1.0 yet.

The API will be 100% solidified with the 1.0 release and no API-breaking
changes will be made without incrementing the major version number.

## Documentation

The docs can be found at [godoc.org] [docs], as usual.

### [JWS RFC][jws]
### [JWE RFC][jwe]
### [JWT RFC][jwt]

## License

[MIT] [license].

[docs]:    https://godoc.org/github.com/SermoDigital/jose
[license]: https://github.com/SermoDigital/jose/blob/master/LICENSE.md
[jws]: https://tools.ietf.org/html/rfc7515
[jwe]: https://tools.ietf.org/html/rfc7515
[jwt]: https://tools.ietf.org/html/rfc7519
